<?php

namespace App\Enums;

use App\Traits\EnumHelper;

enum ProviderWithdrawalStatusEnum: string
{
    use EnumHelper;

    case PENDING_TRANSFER = 'pending_transfer';
    case PROCESSING       = 'processing';
    case TRANSFERRED      = 'transferred';
    case FAILED           = 'failed';
    case CANCELED         = 'canceled';
}
